/*
* Jalview - A Sequence Alignment Editor and Viewer
* Copyright (C) 2005 AM Waterhouse, J Procter, G Barton, M Clamp, S Searle
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
*/

package jalview.schemes;

import java.awt.*;

public class ScoreColourScheme extends ResidueColourScheme {
  public double min;
  public double max;
  public double[] scores;

  public ScoreColourScheme( double[] scores,
			   double min,
			   double max) {

    super();

    this.scores = scores;
    this.min = min;
    this.max = max;
  }


    public Color findColour(String s,int j)
    {

      if (threshold > 0)
      {
         if (!aboveThreshold(s,j))
             return Color.white;
      }

	float red = (float)(scores[((Integer)ResidueProperties.aaHash.get(s)).intValue()]
			    - (float)min)/(float)(max - min);
	if (red > 1.0f)
	    red = 1.0f;

	if (red < 0.0f)
	    red = 0.0f;

    char c = s.charAt(0);

    if(jalview.util.Comparison.isGap((c)))
        return Color.white;

	// This isn';t great - pool of colours in here?
	return makeColour(red);
    }
    public Color makeColour(float c) {
	return new Color(c,(float)0.0,(float)1.0-c);
    }
}

