/*
* Jalview - A Sequence Alignment Editor and Viewer
* Copyright (C) 2005 AM Waterhouse, J Procter, G Barton, M Clamp, S Searle
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
*/

package jalview.ws;
import java.util.Hashtable;
/**
 * <p>Title: MsaWServices </p>
 *
 * <p>Description: Registry of MsaWSI style services </p>
 *
 * <p>Copyright: Copyright (c) 2004</p>
 *
 * <p>Company: Dundee University</p>
 *
 * @author not attributable
 * @version 1.0
 */
/**
 * TODO: MsaWServices will be set from properties and be dynamically discovered.
 */
public class MsaWServices {
  public static Hashtable info;
  static
  {
    info = new Hashtable();
    info.put("ClustalWS",
             new String[]
             {
             "http://www.compbio.dundee.ac.uk/JalviewWS/services/ClustalWS",
             "ClustalW Alignment job",
             "\"Thompson, J.D., Higgins, D.G. and Gibson, T.J. (1994) CLUSTAL W: improving the sensitivity of progressive multiple" +
             " sequence alignment through sequence weighting, position specific gap penalties and weight matrix choice."
             + " Nucleic Acids Research, submitted, June 1994."
    });
    info.put("MuscleWS",
             new String[]
             {
             "http://www.compbio.dundee.ac.uk/JalviewWS/services/MuscleWS",
             "Muscle Alignment job",
             "Edgar, Robert C. (2004), MUSCLE: multiple sequence alignment "
             +
             "with high accuracy and high throughput, Nucleic Acids Research 32(5), 1792-97."
    });
  };
}
